Package org.stianloader.micromixin.transform.internal.util.locals

## Class LocalCaptureResult

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.locals.LocalCaptureResult

-     public class LocalCaptureResult
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.Throwable` | `error` |
    `org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue>` | `frame` |
    `org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue>[]` | `frames` |
    `org.objectweb.asm.tree.MethodNode` | `sourceMethod` |
    `org.objectweb.asm.tree.ClassNode` | `sourceOwner` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalCaptureResult​(org.objectweb.asm.tree.ClassNode sourceOwner, org.objectweb.asm.tree.MethodNode sourceMethod, java.lang.Throwable error)` |
    `LocalCaptureResult​(org.objectweb.asm.tree.ClassNode sourceOwner, org.objectweb.asm.tree.MethodNode sourceMethod, org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue> frame, org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue>[] frames)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CommentTableSection` | `asLocalPrintTable​(java.lang.StringBuilder sharedBuilder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceOwner

          @NotNull
          public final org.objectweb.asm.tree.ClassNode sourceOwner

    - #### sourceMethod

          @NotNull
          public final org.objectweb.asm.tree.MethodNode sourceMethod

    - #### error

          @Nullable
          public final java.lang.Throwable error

    - #### frame

          @Nullable
          public final org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue> frame

    - #### frames

          @Nullable
          public final org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue>[] frames

  - ### Constructor Detail

    - #### LocalCaptureResult

          public LocalCaptureResult​(@NotNull
                                    org.objectweb.asm.tree.ClassNode sourceOwner,
                                    @NotNull
                                    org.objectweb.asm.tree.MethodNode sourceMethod,
                                    @NotNull
                                    java.lang.Throwable error)

    - #### LocalCaptureResult

          public LocalCaptureResult​(@NotNull
                                    org.objectweb.asm.tree.ClassNode sourceOwner,
                                    @NotNull
                                    org.objectweb.asm.tree.MethodNode sourceMethod,
                                    @Nullable
                                    org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue> frame,
                                    org.objectweb.asm.tree.analysis.Frame<org.objectweb.asm.tree.analysis.BasicValue>[] frames)

  - ### Method Detail

    - #### asLocalPrintTable

          @NotNull
          public CommentTableSection asLocalPrintTable​(@NotNull
                                                       java.lang.StringBuilder sharedBuilder)